## kwayland 6.5.0+p24.04+vstable+git20251021.0715

=== debian/changelog ===
kwayland (4:6.5.0+p24.04+vstable+git20251021.0715-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:15:19 +0000

kwayland (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:24:20 +0000

## kwayland 6.5.0+p24.04+vstable+git20251028.1257

=== debian/changelog ===
kwayland (4:6.5.0+p24.04+vstable+git20251028.1257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:57:21 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus-x11,
         libpam-systemd,
         qtwayland5,
         weston,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kwayland 6.5.0+p24.04+vunstable+git20251021.0715

=== debian/changelog ===
kwayland (4:6.5.0+p24.04+vunstable+git20251021.0715-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:15:15 +0000

## kwayland 6.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.5.1")
project(kwayland VERSION ${PROJECT_VERSION})

set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePkgConfigFile)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMPoQmTools)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(CheckIncludeFile)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control how much of deprecated API is built [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(kwayland_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/client/kwayland_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KWAYLAND
                        VERSION_HEADER "${kwayland_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KWaylandConfigVersion.cmake"
                        SOVERSION 6)

# Dependencies
find_package(Qt6Gui ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Private)
find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Concurrent)
find_package(Qt6WaylandClient ${QT_MIN_VERSION} CONFIG REQUIRED NO_MODULE COMPONENTS Private)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    find_package(Qt6WaylandClientPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(Wayland 1.15 COMPONENTS Client)
set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED
                      )

find_package(WaylandScanner)

find_package(WaylandProtocols 1.15)
set_package_properties(WaylandProtocols PROPERTIES TYPE REQUIRED)

find_package(EGL)
set_package_properties(EGL PROPERTIES TYPE REQUIRED)

find_package(PlasmaWaylandProtocols 1.19.0 CONFIG)
set_package_properties(PlasmaWaylandProtocols PROPERTIES TYPE REQUIRED)

# adjusting CMAKE_C_FLAGS to get wayland protocols to compile
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

ecm_set_disabled_deprecation_versions(
    QT 6.8.1
)

check_cxx_source_compiles("
#include <fcntl.h>
#include <sys/mman.h>
#include <unistd.h>

int main() {
    const int size = 10;
    int fd = memfd_create(\"test\", MFD_CLOEXEC | MFD_ALLOW_SEALING);
    ftruncate(fd, size);
    fcntl(fd, F_ADD_SEALS, F_SEAL_SHRINK | F_SEAL_SEAL);
    mmap(nullptr, size, PROT_WRITE, MAP_SHARED, fd, 0);
    return 0;
}" HAVE_MEMFD)

# Subdirectories
ecm_install_po_files_as_qm(po)

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KWayland")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KWayland_QCH
        FILE KWaylandQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KWaylandQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KWaylandConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KWaylandConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KWaylandConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KWaylandConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KWaylandTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KWaylandTargets.cmake NAMESPACE Plasma::)


install(FILES ${kwayland_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KWayland COMPONENT Devel)

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME KWaylandClient
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KWayland
      DEPS Qt6Gui
    INSTALL)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/tools/CMakeLists.txt ===
include(ECMMarkAsTest)

set(scannerSRCS generator.cpp)

add_definitions(-DMAPPING_FILE="${CMAKE_CURRENT_SOURCE_DIR}/mapping.txt")
add_executable(kwaylandScanner ${scannerSRCS})
target_link_libraries(kwaylandScanner Qt6::Core Qt6::Concurrent)
ecm_mark_as_test(kwaylandScanner)

=== debian/changelog ===
kwayland (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:08:49 +0100

## kwayland 6.5.1+p24.04+vstable+git20251029.0659

=== debian/changelog ===
kwayland (4:6.5.1+p24.04+vstable+git20251029.0659-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:59:41 +0000

kwayland (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:47:23 +0000

=== debian/control ===
Source: kwayland
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               libegl1-mesa-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-wayland-dev,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/frameworks/kwayland
Vcs-Git: https://invent.kde.org/neon/kde/kwayland.git
Vcs-Browser: https://invent.kde.org/neon/kde/kwayland
Maintainer: Neon CI <neon@kde.org>

Package: kwayland
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kf6-kwayland,
          kwayland-data,
          kwayland6,
          kwayland6-data,
          libkf6wayland-doc,
          libkf6waylandclient6,
          libkf6waylandserver6
Description: Qt library wrapper for Wayland libraries - data files
 KWayland provides a Qt-style Server library wrapper for
 the Wayland libraries.

Package: kwayland-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kwayland (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: kf6-kwayland-dev, kwayland6-dev, libkf6wayland-dev
Priority: optional
Description: Qt library wrapper for Wayland libraries - data files
 KWayland provides a Qt-style Server library wrapper for
 the Wayland libraries.
 .
 Dev files.

Package: libkf6wayland-dev
Architecture: all
Depends: kwayland-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6wayland-doc
Architecture: all
Depends: kwayland-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6waylandclient6
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6waylandserver6
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kwayland
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kwayland-dev
Architecture: all
Depends: kwayland-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kwayland6
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kwayland6-data
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kwayland-data
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_QCH=ON

## kwayland 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 project(kwayland VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== src/CMakeLists.txt ===
add_subdirectory(client)

add_subdirectory(tools)

ecm_qt_install_logging_categories(
    EXPORT KWAYLAND
    FILE kwayland.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


if(BUILD_QCH)
    macro(_make_absolute var_name base_path)
        set(_result)
        foreach(_path ${${var_name}})
            if(IS_ABSOLUTE "${_path}")
                list(APPEND _result "${_path}")
            else()
                list(APPEND _result "${base_path}/${_path}")
            endif()
        endforeach()
        set(${var_name} ${_result})
    endmacro()

    _make_absolute(KWaylandClient_APIDOX_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/client")

    ecm_add_qch(
        KWayland_QCH
        NAME KWayland
        BASE_NAME KWayland
        VERSION ${PROJECT_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KWaylandClient_APIDOX_SRCS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Gui_QCH
        INCLUDE_DIRS
            ${KWaylandClient_APIDOX_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            KWAYLANDCLIENT_EXPORT
            KWAYLANDCLIENT_DEPRECATED
            KWAYLANDCLIENT_DEPRECATED_EXPORT
            "KWAYLANDCLIENT_DEPRECATED_VERSION(x, y, t)"
            "KWAYLANDCLIENT_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            "KWAYLANDCLIENT_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KWAYLANDCLIENT_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
kwayland (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:12:16 +0000

kwayland (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:46:31 +0000

kwayland (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Bump plasma-wayland-protocols bd to 1.19.0
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:37:13 +0100

=== debian/control ===
Source: kwayland
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 6.18.0~),
               libegl-dev,
               libwayland-dev (>= 1.15~),
               pkgconf,
               plasma-wayland-protocols (>= 1.19.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-private-dev (>= 6.9.0~),
               wayland-protocols (>= 1.15~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kwayland
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
Rules-Requires-Root: no

Package: kwayland6-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library wrapper for Wayland libraries - data files
 KWayland provides a Qt-style Server library wrapper for
 the Wayland libraries.

Package: kwayland-dev
Section: libdevel
Architecture: any
Depends: libkwaylandclient6 (= ${binary:Version}),
         libwayland-dev (>= 1.13~),
         qt6-base-dev (>= 6.9.0~),
         ${misc:Depends},
Recommends: kwayland-doc (= ${source:Version}),
Description: development files for kwayland
 KWayland provides a Qt-style Client and Server library wrapper for
 the Wayland libraries.
 .
 Contains development files for kwayland.

Package: kwayland-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library wrapper for Wayland libraries (documentation)
 KWayland provides a Qt-style Client and Server library wrapper for
 the Wayland libraries.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkwaylandclient6
Architecture: any
Multi-Arch: same
Depends: kwayland6-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt library wrapper for Wayland libraries
 KWayland provides a Qt-style Client library wrapper for
 the Wayland libraries.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/kwayland-([\d.]+)\.tar\.xz

## kwayland 6.5.2+p24.04+vunstable+git20251106.1003

=== debian/changelog ===
kwayland (4:6.5.2+p24.04+vunstable+git20251106.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 10:03:21 +0000

kwayland (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:52 +1000

## kwayland 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 project(kwayland VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kwayland (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:19 +0100

kwayland (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:23:05 +0100

## kwayland 6.5.3+p24.04+vunstable+git20251122.2351

=== debian/changelog ===
kwayland (4:6.5.3+p24.04+vunstable+git20251122.2351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 23:51:30 +0000

kwayland (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:36 +1000

## kwayland 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 project(kwayland VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kwayland (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:18:00 +0000

kwayland (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:07:28 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
                extra-cmake-modules (>= 6.18.0~),
                libegl-dev,

## kwayland 6.5.4+p24.04+vstable+git20251209.1136

=== debian/changelog ===
kwayland (4:6.5.4+p24.04+vstable+git20251209.1136-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 11:36:24 +0000

kwayland (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:51 +1000

## kwayland 6.5.4+p24.04+vunstable+git20251209.1136

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 project(kwayland VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kwayland (4:6.5.4+p24.04+vunstable+git20251209.1136-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 11:36:28 +0000

## kwayland 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 project(kwayland VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kwayland (4:6.5.5-0zneon+24.04+noble+release+build34) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 20:53:38 +0000

kwayland (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:30:46 +1000

## kwayland 6.5.5+p24.04+vstable+git20260114.0229

=== debian/changelog ===
kwayland (4:6.5.5+p24.04+vstable+git20260114.0229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 02:29:19 +0000

## kwayland 6.5.5+p24.04+vstable+git20260131.0222

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.5.91")
 project(kwayland VERSION ${PROJECT_VERSION})
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
kwayland (4:6.5.5+p24.04+vstable+git20260131.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:22:48 +0000

## kwayland 6.5.5+p24.04+vunstable+git20260113.2238

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.91")
+set(PROJECT_VERSION "6.6.80")
 project(kwayland VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.10.0")

=== debian/changelog ===
kwayland (4:6.5.5+p24.04+vunstable+git20260113.2238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 22:38:45 +0000

## kwayland 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 project(kwayland VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.10.0")

=== debian/changelog ===
kwayland (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update symbols.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:57 +0000

kwayland (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Feb 2026 15:34:01 +0000

kwayland (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:55:45 +0000

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libegl-dev,
                libwayland-dev (>= 1.15~),
                pkgconf,
                plasma-wayland-protocols (>= 1.19.0~),
-               qt6-base-dev (>= 6.9.0~),
-               qt6-base-private-dev (>= 6.9.0~),
-               qt6-tools-dev (>= 6.9.0~),
-               qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-private-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-base-private-dev (>= 6.10.0~),
+               qt6-tools-dev (>= 6.10.0~),
+               qt6-wayland-dev (>= 6.10.0~),
+               qt6-wayland-private-dev (>= 6.10.0~),
                wayland-protocols (>= 1.15~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwayland
@@ -40,7 +40,7 @@
 Architecture: any
 Depends: libkwaylandclient6 (= ${binary:Version}),
          libwayland-dev (>= 1.13~),
-         qt6-base-dev (>= 6.9.0~),
+         qt6-base-dev (>= 6.10.0~),
          ${misc:Depends},
 Recommends: kwayland-doc (= ${source:Version}),
 Description: development files for kwayland

## kwayland 6.6.2

=== debian/changelog ===
kwayland (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:22:19 +0000
